Subject: Re: [PATCH] git filter-branch: Process commits in --date-order

From: Johannes Sixt <[email-masked]>
Date: Tue, 03 Mar 2009 08:41:46 +0100

Junio C Hamano schrieb:
> I am wondering if it even makes sense to allow users to disable
> topological ordering.
> 
> Doesn't filter-branch have the same "child commits build on top of parent
> commits" dependency as fast-export has?  And didn't you guys fix
> fast-export recently?

Doesn't --date-order have the same guarantee as --topo-order with respect
to parents and children, only that commits that can be rearranged such
that the guarantee remains are emitted in date order?

Anyway, the patch is unnecessary: If --date-order is needed, it can be
passed on the command line; this will override --topo-order.

-- Hannes